15.04.2019 22:22
Валерий
 
Добрый день
Кто нибудь настраивал авторизацию
в укм 4.83 и аркус 2.1?
Раньше стоял укм 4.75 и аркус 2, все работало
После апгрейда до 4.83, периодически(часто)
при б/н продаже укм перезагружается, деньги с покупателя при этом списываются.. в общем все плохо
Обновление, скачанное с сайта С+ для авторизации Аркус2 - не помогло, перезагрузки остались.
При обращении в инженико(разрабы Аркус), они сказали, что делали интеграцию с укм 4.8, но уже Аркус версии 2.1.. и дали дистрибутив, который в корне отличается от дистрибутива Аркус 2.
Что с ним делать, не знаю(
16.04.2019 10:36
dNao75
 
Мы с прошлой недели начали использовать авторизацию аркус2 (банк ВТБ). УКМ 83сп4.
То же самое: оплата по ВТБ, УКМ выдает ошибку 139 и перезагружает кассу, из восстановленного чека идет уже повторная оплата.
Код:
12:29:11.805: 0x00004000: INFO: arcus2: sale started
12:29:11.806: 0x00004000: INFO: arcus2: shutdown hardware (lite)
12:29:11.920: 0x00004000: INFO: arcus2: running extern module
12:29:11.921: 0x00004000: DEBUG: arcus2: /usr/local/auth/psbank/ukm_psbank.sh /o1 /c643 /a23436
12:29:30.035: 0x00004000: INFO: arcus2: wakeup hardware (lite)
12:29:30:FATAL: ukmstart.sh: ukmclient exit code = 139
12:29:30:FATAL: ukmstart.sh: Unknown error - rebooting system
12:29:30:FATAL: ukmstart.sh: Reboot counter=1 (limit=3)
Для аркус2.1 надо во-первых обновлять УКМ до 85 версии и во-вторых использовать авторизацию аркус 2.1 в продакшене как-то боязно.
Тоже интересует вопрос: работает ли кто-то на аркус 2.1?
16.04.2019 11:47
Валерий
 
Откуда информация, что надо обновлять до 85 версии?
16.04.2019 11:47
Валерий
 
и есть какие либо мануалы, как настраивать аркус 2.1?
16.04.2019 13:11
dNao75
 
Цитата:
Валерий Откуда информация, что надо обновлять до 85 версии?
Информация от службы поддержки: минимум УКМ85.
Сегодня получили еще один ответ: для аркус 2.1 лучше подождать УКМ 86сп1.
Про то, как все это ставить, наверное пока рано говорить.
16.04.2019 13:26
Валерий
 
Цитата:
dNao75 Информация от службы поддержки: минимум УКМ85.
Сегодня получили еще один ответ: для аркус 2.1 лучше подождать УКМ 86сп1.
Про то, как все это ставить, наверное пока рано говорить.
86 сп1 - выход середина апреля, т.е. вот вот получается.
Если будет информация по установке, поделитесь, пожалуйста.
хотя на 85 версию уже же должна быть.
17.04.2019 07:42
Artem_sdw
 
На нашей небольшой сети(19 магазинов) удалось внедрить после долгого тестирования Аркус 2(не версии 2.1) на УКМ4 83 сп 3.Основной проблемой было победить как раз таки эту 139 ошибку.А дело было в следующем:в нашем случае пошли по пути настройки диалогов через пинпад,а не через кассу,при этом поковыряв логи Kern_messages на всех кассах,где была эта ошибка, удалось выяснить,что идёт обращение к видеодрайверу:
Jan 21 16:00:48 localhost kernel: BUG: unable to handle kernel paging request at 0eaf8146
Jan 21 16:00:49 localhost kernel: IP: [<d0dd73e8>] device_ioctl+0x2a4/0x33f [sp_video]
хотя при диалогах на пинпаде его быть не должно.
Вкратце решается запросом патча УКМ клиента для вашей версии от разработчиков,где это обращение убрано.
Так же не забыть дать права на 3 файлика на кассе в папке psbank (cashreg,ukm_psbank.sh и ukm_psbank_in.sh).Можно через winscp.
17.04.2019 08:23
dNao75
 
Цитата:
Artem_sdw А дело было в следующем:в нашем случае пошли по пути настройки диалогов через пинпад,а не через кассу
В файле cashreg.ini в разделе #screen section у Вас сейчас есть строка
NODIALOGS? т.е. NODIALOGS незакомментирован?
17.04.2019 12:52
Artem_sdw
 
Да,эта строка есть и незакомментирована.
19.04.2019 09:15
dNao75
 
Цитата:
Artem_sdw Вкратце решается запросом патча УКМ клиента для вашей версии от разработчиков,где это обращение убрано.
Так же не забыть дать права на 3 файлика на кассе в папке psbank (cashreg,ukm_psbank.sh и ukm_psbank_in.sh).Можно через winscp.
Получили пропатченный исполняемый файл ukmclient версии 83_sp3-p10886. В cashreg.ini убрал комментарий перед NODIALOGS.
Теперь такая проблема: после оплаты по терминалу ВТБ происходит переключение кодировки в кассовой программе УКМ. На экране кассира иероглифы. Пробовал комментировать NODIALOGS - не помогает.
У нас такое было с терминалом Сбербанка после перехода на УКМ версии 76 на тех кассах, где была старая версия upos (26 и ниже). Решалось установкой upos 27 версии.
Что для Аркус надо сделать, не знаю.

Форум на базе vBulletin®
Copyright © Jelsoft Enterprises Ltd.
В случае заимствования информации гипертекстовая индексируемая ссылка на Форум обязательна.